## org.exist.xmldb
Class LocalDatabaseInstanceManager

    java.lang.Object
      org.exist.xmldb.LocalDatabaseInstanceManager

All Implemented Interfaces:
  Configurable, DatabaseInstanceManager, Service

public class LocalDatabaseInstanceManager
extends java.lang.Object
implements DatabaseInstanceManager

Local implementation of the DatabaseInstanceManager.

Constructor Summary
`LocalDatabaseInstanceManager(User user, BrokerPool pool)`

Method Summary
`java.lang.String` `getName()` Returns the name associated with the Service instance.
`java.lang.String` `getProperty(java.lang.String arg0)` Returns the value of the property identified by `name`.
`DatabaseStatus` `getStatus()`
`java.lang.String` `getVersion()` Gets the Version attribute of the Service object
`boolean` `isLocalInstance()` Returns true if the database instance is running local, i.e.
`boolean` `isXACMLEnabled()` Returns true if XACML is enabled for the database instance.
`void` `setCollection(Collection arg0)` Sets the Collection attribute of the Service object
`void` `setProperty(java.lang.String arg0, java.lang.String arg1)` Sets the property `name` to have the value provided in `value`.
`void` `shutdown()` Immediately shutdown the current database instance.
`void` `shutdown(long delay)` Shutdown the current database instance after the specified delay (in milliseconds).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalDatabaseInstanceManager

    public LocalDatabaseInstanceManager(User user,
                                        BrokerPool pool)

Method Detail

### shutdown

    public void shutdown()
                  throws XMLDBException

  Description copied from interface: `DatabaseInstanceManager`
  Immediately shutdown the current database instance. This current user should be a member of the "dba" group or an exception will be thrown.

  Specified by:
    `shutdown` in interface `DatabaseInstanceManager`
  Throws:
    `XMLDBException`

### shutdown

    public void shutdown(long delay)
                  throws XMLDBException

  Description copied from interface: `DatabaseInstanceManager`
  Shutdown the current database instance after the specified delay (in milliseconds). This current user should be a member of the "dba" group or an exception will be thrown.

  Specified by:
    `shutdown` in interface `DatabaseInstanceManager`
  Throws:
    `XMLDBException`

### getStatus

    public DatabaseStatus getStatus()
                             throws XMLDBException

  Specified by:
    `getStatus` in interface `DatabaseInstanceManager`
  Throws:
    `XMLDBException`

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.

  Specified by:
    `getName` in interface `Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Service.getName()`

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object

  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Service.getVersion()`

### isLocalInstance

    public boolean isLocalInstance()

  Description copied from interface: `DatabaseInstanceManager`
  Returns true if the database instance is running local, i.e. in the same thread as this service.

  Specified by:
    `isLocalInstance` in interface `DatabaseInstanceManager`
  Returns:
    true if the database instance is running local

### setCollection

    public void setCollection(Collection arg0)
                       throws XMLDBException

  Description copied from interface: `Service`
  Sets the Collection attribute of the Service object

  Specified by:
    `setCollection` in interface `Service`
  Parameters:
    `arg0` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Service.setCollection(org.xmldb.api.base.Collection)`

### getProperty

    public java.lang.String getProperty(java.lang.String arg0)
                                 throws XMLDBException

  Description copied from interface: `Configurable`
  Returns the value of the property identified by `name`.

  Specified by:
    `getProperty` in interface `Configurable`
  Parameters:
    `arg0` - the name of the property to retrieve.
  Returns:
    the property value or null if no property exists.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Configurable.getProperty(java.lang.String)`

### setProperty

    public void setProperty(java.lang.String arg0,
                            java.lang.String arg1)
                     throws XMLDBException

  Description copied from interface: `Configurable`
  Sets the property `name` to have the value provided in `value`.

  Specified by:
    `setProperty` in interface `Configurable`
  Parameters:
    `arg0` - the name of the property to set.
    `arg1` - the value to set for the property.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Configurable.setProperty(java.lang.String, java.lang.String)`

### isXACMLEnabled

    public boolean isXACMLEnabled()
                           throws XMLDBException

  Description copied from interface: `DatabaseInstanceManager`
  Returns true if XACML is enabled for the database instance.

  Specified by:
    `isXACMLEnabled` in interface `DatabaseInstanceManager`
  Returns:
    True if XACML is enabled
  Throws:
    `XMLDBException`

Copyright (C) Wolfgang Meier. All rights reserved.